Delete an attachment
DELETE
/attachments/*path
const url = 'https://api.engram.page/attachments/*path';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.engram.page/attachments/*path' \ --header 'Authorization: Bearer <token>'Deletes the attachment at the given path. Idempotent — always returns deleted: true with the path, and is not billing-gated so downgraded users can still remove files.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”path
required
string
Attachment path
Responses
Section titled “Responses”Deleted
Media typeapplication/json
AttachmentDeleted
object
deleted
required
boolean
path
required
string
Example
{ "deleted": true}